### Class

# Meta Workspace

#### Description [src]

    final class Meta.Workspace : GObject.Object
    {
      /* No available fields */
    }

Workspaces

A workspace is a set of windows which all live on the same screen. (You may also see the name “desktop” around the place, which is the EWMH’s name for the same thing.) Only one workspace of a screen may be active at once; all windows on all other workspaces are unmapped.

#### Ancestors

- GObject

#### Instance methods

###### meta_workspace_activate

No description available.

###### meta_workspace_activate_with_focus

Switches to `workspace` and possibly activates the window `focus_this`.

###### meta_workspace_get_display

Gets the `MetaDisplay` that the workspace is part of.

###### meta_workspace_get_neighbor

Calculate and retrieve the workspace that is next to `workspace`, according to `direction` and the current workspace layout, as set by meta_screen_override_workspace_layout().

###### meta_workspace_get_work_area_all_monitors

Stores the work area in `area`.

###### meta_workspace_get_work_area_for_monitor

Stores the work area for `which_monitor` on `workspace` in `area`.

###### meta_workspace_index

No description available.

###### meta_workspace_list_windows

Gets windows contained on the workspace, including workspace->windows and also sticky windows. Override-redirect windows are not included.

###### meta_workspace_set_builtin_struts

Sets a list of struts that will be used in addition to the struts of the windows in the workspace when computing the work area of the workspace.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Meta.Workspace:active

No description available.

###### Meta.Workspace:n-windows

No description available.

###### Meta.Workspace:workspace-index

No description available.

#### Signals

###### Meta.Workspace::window-added

No description available.

###### Meta.Workspace::window-removed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaWorkspaceClass {
      /* no available fields */
    }

No description available.